# This file was generated by https://github.com/kamilchm/go2nix v1.2.1
{ lib, stdenv, buildGoPackage, fetchFromGitHub }:

buildGoPackage rec {
  name = "kustomize-${version}";
  version = "1.0.11";
  # rev is the 1.0.11 commit, mainly for kustomize version command output
  rev = "8f701a00417a812558a7b785e8354957afa469ae";

  goPackagePath = "sigs.k8s.io/kustomize";

  buildFlagsArray = let t = "${goPackagePath}/pkg/commands"; in ''
    -ldflags=
      -s -X ${t}.kustomizeVersion=${version}
         -X ${t}.gitCommit=${rev}
         -X ${t}.buildDate=unknow
  '';

  src = fetchFromGitHub {
  sha256 = "18kc23l6r2di35md9jbinyzxr791vvdjyklaf3k725imqksikwri";
    rev = "v${version}";
    repo = "kustomize";
    owner = "kubernetes-sigs";
  };

  meta = with lib; {
    description = "Customization of kubernetes YAML configurations";
    longDescription = ''
      kustomize lets you customize raw, template-free YAML files for
      multiple purposes, leaving the original YAML untouched and usable
      as is.
    '';
    homepage = https://github.com/kubernetes-sigs/kustomize;
    license = licenses.asl20;
    maintainers = with maintainers; [ carlosdagos vdemeester periklis ];
  };
}
